#!/bin/bash -e 
#1) Use Gromacs 5.1 or newer to run these simulations
#2) DVESICLE_LIPIDTAIL_R in the mdp files defines the radius of three water pores (along X, Y and Z axis) 
#   in the vesicle to let the lipids exchange between the inner and outer layer
#3) Make sure the vesicle is equilibrated well before close the water pore

gmx editconf -f step5_assembly.box.pdb -o step6.1.0_equilibration.gro
for i in 1 2
do
    ii=$((i-1))
    gmx grompp -f step6.1.${i}_equilibration.mdp -o step6.1.${i}_equilibration.tpr -c step6.1.${ii}_equilibration.gro -p system.top -r lipidtail_posres.pdb
    gmx mdrun -v -deffnm  step6.1.${i}_equilibration
done

cp step6.1.${i}_equilibration.gro step6.1_equilibration.gro

for i in 2 3 4 5 6
do
    ii=$((i-1))
    gmx grompp -f step6.${i}_equilibration.mdp -c step6.${ii}_equilibration.gro -o step6.${i}_equilibration.tpr -p system.top -r lipidtail_posres.pdb
    gmx mdrun -v -deffnm step6.${i}_equilibration
done
gmx grompp -f step7_production.mdp -c step6.6_equilibration.gro -o step7_production.tpr -p system.top -r lipidtail_posres.pdb
gmx mdrun -v -deffnm step7_production
